FROM python:3.9

ENV TZ="Asia/Tokyo"

WORKDIR /function
COPY requirements.txt ./
RUN  \
    apt update -y && \
    # パッケージのセキュリティアップデートのみを適用するコマンド
    apt install -y unattended-upgrades && \
    unattended-upgrades && \
    pip install --upgrade pip wheel setuptools && \
    pip install --no-cache-dir -r requirements.txt
COPY datadecrypt ./

ENTRYPOINT [ "/usr/local/bin/python", "-m", "awslambdaric" ]
CMD [ "main.handler" ]